Page MenuHomePhabricator

Extmetada is inaccessible on Commons files
Closed, DeclinedPublic

Description

The extmetadata imageinfo property is generated via hook for local files, and requested from the remote api for ForeignAPIRepo files. For ForeignDBRepo/ForeignDBviaLBRepo files, however, it is simply ignored; since other Wikimedia projects access Commons as a ForeignDBviaLBRepo, this is quite the problem for tools that depend on extmetadata (currently, only MediaViewer).


Version: unspecified
Severity: normal

Details

Reference
bz56598

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 2:38 AM
bzimport set Reference to bz56598.
Tgr created this task.Nov 5 2013, 1:08 AM
Anomie added a comment.Nov 5 2013, 2:58 AM

Not an API bug, the API just returns what it's being given. The bug would be in the underlying code somewhere.

Anomie added a comment.Nov 5 2013, 2:58 AM

(oops, didn't mean to change assignee)

Change 95148 had a related patch set uploaded by Gergő Tisza:
Add LocalFile::getParentCategories() method

https://gerrit.wikimedia.org/r/95148

Change 95173 had a related patch set uploaded by Gergő Tisza:
Handle remote categories in a ForeignDBRepo setup

https://gerrit.wikimedia.org/r/95173

What's the status of this now?

Change 95148 merged by jenkins-bot:
Add WikiFilePage::getForeignCategories() method

https://gerrit.wikimedia.org/r/95148

Change 95173 merged by jenkins-bot:
Handle remote categories in a ForeignDBRepo setup

https://gerrit.wikimedia.org/r/95173

Tgr added a comment.Nov 19 2013, 3:11 PM

Current state:

  • categories are available via shared DB (Commons) but not available via API (InstantCommons), probably not even when CommonsMetadata has been installed on the foreign API repo (this last part is a regression and an easy fix).
  • file description is available both ways, but does not work on the beta cluster -> bug 57248
  • any other data would be available via API, but only as far as the CommonsMetadata version which is installed on the foreign repo supports it; and would not be available at all via shared DB. This is not a problem currently - there is no other data, everything is derived from either HTML metadata in the description, or from categories.

There doesn't seem to be a good short-term way of dealing with this in general; we have delt with it for all cases which are actually a problem for MediaViewer; and in the long term, Wikidata on Commons will provide a good way of attaching any metadata to any file, so I am inclined to close this as wontfix.

Tgr added a comment.Nov 26 2013, 4:00 PM

Also related: bug 57294

Downprioritizing as this is not a problem currently, and probably won't get solved until Wikidata.

[Resetting status as there are no patches left here to merge.]

Tgr closed this task as Declined.Dec 23 2014, 11:27 PM

Wontfixing, extmetadata/CommonsMetadata will be superseded and this bug would only be a problem if it started using new data sources.